 [HiewIni 5.03]

; Startup mode: 
; Text - text mode
; Hex  - hex mode
; Code - decode mode  
;
 StartMode          = Text          ; Text  | Hex     | Code

; Beeps
 Beep               = On            ; On    | Off

; Percentage indicator
; Left    - percentage bar is on the left
; Right   - percentage bar is on the right
; Percent - numeric indicator in infoline
 Bar                = Left          ; Left  | Right   | Percent

; Wrap long lines
; On   - wrap long lines
; Off  - don't wrap long lines
; Auto - Off for textfile, On for binary files
 Wrap               = Auto          ; Auto  | On      | Off

; Expand tabs
; On  - expand tabs to spaces
; Off - don't expand tabs
; Auto- Off for text, On for binary
;
 Tab                = Auto          ; Auto  | On      | Off

; Step for Ctrl-Left/Ctrl-Right in text mode
 StepCtrlRight      = 20            ; 1 - 128

; Character table for enumerating one touch call/jmp operations
; First character returns back
 JumpTable          = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ"

; Newline character
; CRLF - pair 0D/0A
; CR   - char 0D
; LF   - char 0A
; Auto - 0D/0A for text file, none for binary
 LineFeed           = Auto          ; Auto  | CRLF    | CR    | LF     ; v5.10

; Executable code width autodetection
 AutoCodeSize       = On            ; On    | Off                      ; v5.41

; Flush keyboard buffer before reading every key
 KbdFlush           = On            ; On    | Off                      ; v5.50

; View Offset for NE/LX/PE files as:
; Local - local offset (starting with dot)
; Global- global offset (as in file)
 ShowOffset         = Local         ; Local | Global                   ; v5.51

; Mask for displaying offset in pattern search
 RunningOffsetMask  = 0x000000FF    ; 0 - 0xFFFFFFFF                   ; v5.53

; Index of translation in hiew.xlt ( 0 - As Is )
 XlatTableIndex     = 0             ; 1 - 15, 0 - As Is                ; v5.85

; Sort order in file list:
; none - unsorted
; Name - by name
; Ext  - by extension
; Time - by date & time (oldest first)
; Size - by size (smallest first)
 FlistSort          = Name          ; none | Name | Ext | Time | Size  ; v5.90

; Reverse file list order
 FlistSortReverse   = Off           ; On    | Off                      ; v5.90

; Show hidden files in file list
 FlistShowHidden    = Off           ; On    | Off                      ; v5.90

; Save current state (mode, offset, bookmarks etc) for next file
 NextFileSaveState  = Off           ; On    | Off                      ; v6.00

; Pattern and reference search step
; Command - one assembler command
; Byte    - one byte
 ScanStep           = Command       ; Command | Byte                   ; v6.00

; Write save file at exit
 SavefileAtExit     = Off           ; Off   | On                       ; v6.00

; Save file location, '$' in first position denotes hiew dir, ex.: "$\hiewsav"
 Savefile           = "hiew.sav"                                       ; v6.00

; Numeric base for build-in calculator
 CalcBaseNumber     = 16            ; 10    | 16                       ; v6.30

; Position for getting block
; On  - get block from file at cursor
; Off - get block from file at top block
 GetBlockAtCursor   = On            ; On    | Off                      ; v6.40

; Reopen file in read-only mode after editing
 ReopenAfterEdit    = Off           ; On    | Off                      ; v6.40

; Confirm "Truncate file", "Delete block", "Copy/Move block" operations
 ConfirmDestructiveOperations = On  ; On    | Off                      ; v6.40

; Number of displayed opcode bytes in decode mode
 OpcodeShowBytes    = 14            ; 0-14                             ; v6.50

; Default mode for line edit
; Overwrite - overwrite mode
; Insert    - insert mode
 LineEditMode       = Overwrite     ; Overwrite | Insert               ; v6.50

; Default mode for block copy/move operations
; Overwrite - overwrite mode
; Insert    - insert mode
 BlockMode          = Overwrite     ; Overwrite | Insert               ; v6.50

; Code highlighting
 CodeHighlighting   = On            ; On    | Off                      ; v6.80

; Reread file list every time F9 is pressed
 FilelistRereadAlways = Off         ; On    | Off                      ; v6.82

; Minimum string length for displaying target address as string
 MinStringLength    = 3             ; 1 - 16, 0 - do not use           ; v6.90

; Delay (in milliseconds) between replayed macro 'keypresses'
 MacroDelay         = 400           ; in milliseconds                  ; v6.90

; Stop keyboard macro on search failure
 MacroStopIfSearchFail= On          ; On     | Off                     ; v6.90

; Directory for storing keyboard macros
 MacroPath          = ""        				       ; v6.90

; Show file sizes in Kb, Mb, Gb,...
 FlistSizeInK       = Off           ; On    | Off                      ; v7.00

; Load ordinals (from hiew7.ord) for NewExecutable files automatically
; Takes some time, you can load them later with Alt-F5
 AutoloadOrdinals   = Off           ; On    | Off                      ; v7.00

; Ignore disk errors
 IgnoreDiskError    = Off           ; On    | Off                      ; v7.00

; Confirm exit by ESC
; On  - show confirmation window
; Off - don't show any windows
; Auto- confirm only two sequential ESC presses
 ConfirmExitByEsc   = Auto          ; Auto  | On  | Off                ; v7.00

; Suppress errors during file load
; On     - do not show errors
; Off    - show errors
; Reload - suppress errors during reload
 SuppressPrepareError = Reload      ; On    | Off | Reload             ; v7.00

; Invert cursor shape
; On     - block for overwrite mode, underline for insert mode
; Off    - block for insert mode, underline for overwrite mode
 CursorShapeInvert  = Off	    ; On    | Off                      ; v7.00

;
;       Colors
;
 ColorFixup              = 0x13                                        ; v7.00
 ColorMacroRec           = 0xCF                                        ; v6.90
 ColorMacroPlay          = 0x2F                                        ; v6.90
 ColorCodeString         = 0x1F                                        ; v6.90
 ColorCodeMnemonic       = 0x1B                                        ; v6.80
 ColorCodeNumber         = 0x1D                                        ; v6.80
 ColorCodeMemory         = 0x1A                                        ; v6.80
 ColorCodeName           = 0x1E                                        ; v6.80
 ColorCodeRegister       = 0x17                                        ; v6.80
 ColorHeaderEditWin      = 0x50                                        ; v6.50
 ColorHeaderEditNorm     = 0x5F                                        ; v6.50
 ColorHeaderEditBold     = 0x0F                                        ; v6.50
 ColorHeaderEditBChange  = 0x0E                                        ; v6.50
 ColorHeaderEditChange   = 0x5E                                        ; v6.50
 ColorInfoBar            = 0x70                                        ; v6.40
 ColorMain               = 0x1B
 ColorCurrent            = 0x71
 ColorMark               = 0x5E
 ColorEdit               = 0x1E
 ColorEditOut            = 0x1D
 ColorError              = 0x4E
 ColorMsg                = 0x2E
 ColorTitle              = 0x70
 ColorKbNum              = 0x07
 ColorKb                 = 0x30
 ColorKbOff              = 0x37
 ColorBar                = 0x02
 ColorWin                = 0x70
 ColorWinBold            = 0x7F
 ColorWinInput           = 0x3F
 ColorMenu               = 0x30
 ColorMenuText           = 0x31
 ColorMenuBold           = 0x0F
 ColorHelp               = 0x20
 ColorHelpText           = 0x2E
 ColorHelpBold           = 0x0F
; ---+--- End of Inifile ---+---
